Bug 670930 - Review Request: rubygem-regin - Ruby Regexp Introspection
Summary: Review Request: rubygem-regin - Ruby Regexp Introspection
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 667997
TreeView+ depends on / blocked
 
Reported: 2011-01-19 17:10 UTC by Vít Ondruch
Modified: 2011-01-26 18:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-26 18:31:52 UTC
Type: ---
mmorsi: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2011-01-19 17:10:22 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-regin.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-regin-0.3.7-1.fc14.src.rpm

Description: Regin allows you to introspect on Ruby Regexps. Powered by an over the top regexp syntax parser written in racc/rexical.

Koji scratch build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2731428

Note that test are not included in gem, therefore they are not executed during build. Further discussion in Ruby-SIG mailing list.

Comment 1 Mo Morsi 2011-01-23 21:35:14 UTC
Will take this one.

This package looks good, rpmlint looks good, passes the review guidelines.

One minor nit, "rm -rf %{buildroot}" is no longer needed and can be removed from the %install and %clean sections.

RE the tests, please consider the following Guideline

"SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example."

from http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review

Right now, rpms for gems which do not invoke the test suite are not being verified as functional at build time. Note this is independent of whether or not the test / spec suite is included in the final rpm or in a sub docs package (or not included at all).

Please consider adding it, you can with the following patch to your spec

$ diff rpmbuild/SPECS/rubygem-regin.spec.orig rpmbuild/SPECS/rubygem-regin.spec
14a15,24
> # The regin gem doesn't ship with the upstream Rakefile
> Source1: http://github.com/josh/regin/raw/v%{version}/Rakefile
> 
> # You may check regin tests out like so
> # git clone http://github.com/josh/regin.git
> # cd josh
> # git checkout v0.3.7
> # tar czvf regin-tests.tgz spec/
> Source2: regin-tests.tgz
> 
36a47,57
> %setup -q -c -T
> 
> mkdir -p ./%{gemdir}
> gem install --local --install-dir ./%{gemdir} \
>             --force --rdoc %{SOURCE0}
> 
> # move the Rakefile in place
> cp %{SOURCE1} .%{geminstdir}
> 
> # move the tests into place
> tar xzvf %{SOURCE2} -C .%{geminstdir}
41d61
< rm -rf %{buildroot}
43,44c63
< gem install --local --install-dir %{buildroot}%{gemdir} \
<             --force --rdoc %{SOURCE0}
---
> cp -a .%{gemdir}/* %{buildroot}%{gemdir}
47d65
< rm -rf %{buildroot}
49a68,69
> pushd .%{geminstdir}
> rake test
62a83,84
> %doc %{geminstdir}/spec
> %doc %{geminstdir}/Rakefile



In any case, since I've verified the test suite works for this package version, everything looks to be in order


APPROVED

Comment 2 Vít Ondruch 2011-01-24 09:25:34 UTC
I have removed the "rm -rf" and added the specs as I proposed in Ruby-SIG. Please see updated versions if you like:

Spec URL: http://people.redhat.com/vondruch/rubygem-regin.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-regin-0.3.7-2.fc14.src.rpm

Nevertheless, I am going to request the repository. Thank you for your review.

Comment 3 Vít Ondruch 2011-01-24 09:30:04 UTC
New Package SCM Request
=======================
Package Name: rubygem-regin
Short Description: Ruby Regexp Introspection
Owners: vondruch
Branches:

Comment 4 Jason Tibbitts 2011-01-24 17:46:12 UTC
Git done (by process-git-requests).

Comment 5 Mo Morsi 2011-01-26 18:31:52 UTC
It looks like you pushed regin to rawhide. Thanks alot. Closing.


Note You need to log in before you can comment on or make changes to this bug.